import request from '@/utils/request'

// 查询账户业务列表
export function listAccountBusiness(query) {
  return request({
    url: '/cai/accountBusiness/list',
    method: 'get',
    params: query
  })
}

// 查询账户业务详细
export function getAccountBusiness(id) {
  return request({
    url: '/cai/accountBusiness/' + id,
    method: 'get'
  })
}

// 新增账户业务
export function addAccountBusiness(data) {
  return request({
    url: '/cai/accountBusiness',
    method: 'post',
    data: data
  })
}

// 修改账户业务
export function updateAccountBusiness(data) {
  return request({
    url: '/cai/accountBusiness',
    method: 'put',
    data: data
  })
}

// 删除账户业务
export function delAccountBusiness(id) {
  return request({
    url: '/cai/accountBusiness/' + id,
    method: 'delete'
  })
}
